Capabilities
List management API capabilities for a client
Requires `X-Athena-Client` and a client-bound API key with `management.read`.
Header Parameters
X-Athena-Client*string
apikey*string
x-api-key?string
optional API key mirror of the apikey header
Response Body
application/json
application/json
curl -X GET "https://athena-cluster.com/management/capabilities" \ -H "X-Athena-Client: string" \ -H "apikey: string"{
"status": "string",
"message": "string",
"data": {
"backend": "string",
"retention_mutation_supported": true,
"replication_mutation_supported": true,
"supported_operations": [
"string"
],
"required_rights": [
{
"operation": "string",
"required_right": "string"
}
],
"allowed_index_methods": [
"string"
],
"allowed_column_data_types": [
"string"
]
}
}Empty
Empty
Empty
{
"status": "error",
"message": "string",
"error": "string"
}List available pipeline templates GET
Returns named pipeline templates loaded from config/pipelines.yaml.
Install a Postgres extension POST
Installs an allowlisted Postgres extension on the selected `X-Athena-Client` database. Requires a client-bound API key with `management.extensions.write`. Audit rows require `public.database_audit_log` on the gateway logging Postgres database.